Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

List all labels

List all labels in the workspace

GET/labels
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Responses
200

List of labels

labelsLabel[]
Show properties
Array of Label
idstring<uuid>
namestring
colorstring

Hex color code

backgroundColorstring

Hex background color code

createdAtstring<date-time>
updatedAtstring<date-time>
401

Unauthorized - Missing or invalid API key

codestring
messagestring
Try it
Server
Authorization
Request
curl -X GET 'https://app.tryordinal.com/api/v1/labels' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "labels": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440400",
      "name": "Marketing",
      "color": "#9333ea",
      "backgroundColor": "#f3e8ff",
      "createdAt": "2025-06-01T00:00:00.000Z",
      "updatedAt": "2025-06-01T00:00:00.000Z"
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655440401",
      "name": "Product",
      "color": "#16a34a",
      "backgroundColor": "#dcfce7",
      "createdAt": "2025-06-01T00:00:00.000Z",
      "updatedAt": "2025-06-01T00:00:00.000Z"
    }
  ]
}